summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2016-11-28 23:42:18 +0100
committerMarek Szuba <marecki@gentoo.org>2016-11-28 23:42:58 +0100
commitc9e1ddeb17b70ce6e3fa82a8b7058b78d162064f (patch)
tree2db1c20eea9dd5bf7c0f474db067cd694e50c3d0 /dev-python/pyicu
parentmozconfig-*.eclass: added sub-slot dependency for app-text/hunspell. (diff)
downloadgentoo-c9e1ddeb17b70ce6e3fa82a8b7058b78d162064f.tar.gz
gentoo-c9e1ddeb17b70ce6e3fa82a8b7058b78d162064f.tar.bz2
gentoo-c9e1ddeb17b70ce6e3fa82a8b7058b78d162064f.zip
dev-python/pyicu: remove old
Package-Manager: portage-2.3.2
Diffstat (limited to 'dev-python/pyicu')
-rw-r--r--dev-python/pyicu/Manifest1
-rw-r--r--dev-python/pyicu/files/pyicu-1.9.4-exclude_libicule.patch46
-rw-r--r--dev-python/pyicu/pyicu-1.9.3.ebuild53
-rw-r--r--dev-python/pyicu/pyicu-1.9.4.ebuild63
4 files changed, 0 insertions, 163 deletions
diff --git a/dev-python/pyicu/Manifest b/dev-python/pyicu/Manifest
index 2cf248f078f..79560b4460b 100644
--- a/dev-python/pyicu/Manifest
+++ b/dev-python/pyicu/Manifest
@@ -1,3 +1,2 @@
DIST PyICU-1.9.3.tar.gz 179514 SHA256 1a7a96212cb3e42e8df85b9062f1f1d6e207474d44f087218fad1d4ec210fa42 SHA512 93720f6fd4131b6cff7fe89996a3851b5993c74859e85de7813883a30152b63a0065b8c51c536cd40417b6e3ccf0ec4e26ed471cec84cd48761a306a35bfd15c WHIRLPOOL 97d5ff9d5a96aa98700c3048104bb79309f3b7a2e6610a03be1a1b06b23be44ffaa6ef9afb548144757421616bf2401fa4bffac6d8759a7718021abfa9fb03d0
-DIST PyICU-1.9.4.tar.gz 181149 SHA256 bb3df41141b1cde07432906a3e9ee096407d59243ceed496957fd4bc54cd765e SHA512 d635660e569a5c8c02d739c79806a6640ade2fcda07b826ebef5a992a64e38ee6d203e24f5f3f559c37355a78aecba1055404e3922996801b5d843328d69c8d4 WHIRLPOOL b3ecb81a29bf90793e2ab3540d14b0e30663e239da77c66bf3c17959f61cee11d8bdb957cf4a7c643baa006e0850362e62a4e2be06385982b1f37ca5276cba61
DIST PyICU-1.9.5.tar.gz 181878 SHA256 73b052b800861fae3281dbaf9c92d12a81cabf3d31912d94c51862e093ef359b SHA512 19fb3222a68cc67e92ea4171257d00c9a322f993f1303a4432b5c3c4efda32ff4c2372027cf9f3fd31d3dc3cf3bcbcb957dfa420039591044812f0213684e885 WHIRLPOOL 05e931826f445cc989d8d5ad1db10121705e685d53e8696e0befe172ee8e32895482813bcbcac105e3c8ac92ef85d8b96f79c67de35ed6547a7ccc64acee3413
diff --git a/dev-python/pyicu/files/pyicu-1.9.4-exclude_libicule.patch b/dev-python/pyicu/files/pyicu-1.9.4-exclude_libicule.patch
deleted file mode 100644
index 3da53af033b..00000000000
--- a/dev-python/pyicu/files/pyicu-1.9.4-exclude_libicule.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-diff --git a/setup.py b/setup.py
-index 2cbec9f..ea42e96 100644
---- a/setup.py
-+++ b/setup.py
-@@ -1,5 +1,5 @@
-
--import os, sys
-+import os, sys, subprocess
-
- try:
- from setuptools import setup, Extension
-@@ -8,6 +8,7 @@ except ImportError:
-
-
- VERSION = '1.9.4'
-+ICU_VERSION = subprocess.check_output(('icu-config', '--version')).strip()
-
- INCLUDES = {
- 'darwin': ['/usr/local/include'],
-@@ -43,11 +44,11 @@ LFLAGS = {
- }
-
- LIBRARIES = {
-- 'darwin': ['icui18n', 'icuuc', 'icudata', 'icule'],
-- 'linux': ['icui18n', 'icuuc', 'icudata', 'icule'],
-- 'freebsd': ['icui18n', 'icuuc', 'icudata', 'icule'],
-- 'win32': ['icuin', 'icuuc', 'icudt', 'icule'],
-- 'sunos5': ['icui18n', 'icuuc', 'icudata', 'icule'],
-+ 'darwin': ['icui18n', 'icuuc', 'icudata'],
-+ 'linux': ['icui18n', 'icuuc', 'icudata'],
-+ 'freebsd': ['icui18n', 'icuuc', 'icudata'],
-+ 'win32': ['icuin', 'icuuc', 'icudt'],
-+ 'sunos5': ['icui18n', 'icuuc', 'icudata'],
- }
-
- platform = sys.platform
-@@ -79,6 +80,9 @@ else:
-
- if 'PYICU_LIBRARIES' in os.environ:
- _libraries = os.environ['PYICU_LIBRARIES'].split(os.pathsep)
-+elif ((sys.version_info >= (3,) and str(ICU_VERSION, 'ascii') < '58') or
-+ (sys.version_info < (3,) and ICU_VERSION < '58')):
-+ _libraries = LIBRARIES[platform][:] + ['icule']
- else:
- _libraries = LIBRARIES[platform]
-
diff --git a/dev-python/pyicu/pyicu-1.9.3.ebuild b/dev-python/pyicu/pyicu-1.9.3.ebuild
deleted file mode 100644
index a2816c0896a..00000000000
--- a/dev-python/pyicu/pyicu-1.9.3.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
-DISTUTILS_IN_SOURCE_BUILD=1 # setup.py applies 2to3 to tests
-
-inherit distutils-r1
-
-MY_PN="PyICU"
-MY_P="${MY_PN}-${PV}"
-
-DESCRIPTION="Python bindings for dev-libs/icu"
-HOMEPAGE="https://github.com/ovalhub/pyicu"
-SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE="doc"
-
-RDEPEND="${PYTHON_DEPS}
- dev-libs/icu
-"
-DEPEND="${RDEPEND}
- doc? ( dev-python/epydoc )"
-
-S="${WORKDIR}/${MY_P}"
-
-DOCS=(CHANGES CREDITS README.md)
-
-python_compile_all() {
- if use doc; then
- einfo "Making documentation from ${EPYTHON} build"
- mkdir -p doc/html || die
- epydoc --html --verbose -o doc/html \
- --url="${HOMEPAGE}" --name="${MY_P}" \
- icu.py || die "Making the docs failed!"
- fi
-}
-
-python_test() {
- esetup.py test
-}
-
-python_install_all() {
- if use doc; then
- local HTML_DOCS=( doc/html/. )
- fi
- distutils-r1_python_install_all
-}
diff --git a/dev-python/pyicu/pyicu-1.9.4.ebuild b/dev-python/pyicu/pyicu-1.9.4.ebuild
deleted file mode 100644
index 183dc1905f3..00000000000
--- a/dev-python/pyicu/pyicu-1.9.4.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-PYTHON_COMPAT=( python{2_7,3_4,3_5} )
-DISTUTILS_IN_SOURCE_BUILD=1 # setup.py applies 2to3 to tests
-
-inherit distutils-r1
-
-MY_PN="PyICU"
-MY_P="${MY_PN}-${PV}"
-
-DESCRIPTION="Python bindings for dev-libs/icu"
-HOMEPAGE="https://github.com/ovalhub/pyicu"
-SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc"
-
-RDEPEND="${PYTHON_DEPS}
- dev-libs/icu
-"
-# epydoc supports only python2*
-DEPEND="${RDEPEND}
- doc? ( dev-python/epydoc[$(python_gen_usedep 'python2*')] )"
-REQUIRED_USE="doc? ( || ( $(python_gen_useflags 'python2*') ) )"
-
-S="${WORKDIR}/${MY_P}"
-
-DOCS=(CHANGES CREDITS README.md)
-
-PATCHES=(
- "${FILESDIR}/${P}-exclude_libicule.patch"
-)
-
-# we need an exact version match for epydoc to work on a binary module
-pkg_setup() {
- use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
-}
-
-python_compile_all() {
- if use doc; then
- mkdir -p doc/html || die
- epydoc --html --verbose -o doc/html \
- --url="${HOMEPAGE}" --name="${MY_P}" \
- icu.py || die "Making the docs failed!"
- fi
-}
-
-python_test() {
- esetup.py test
-}
-
-python_install_all() {
- if use doc; then
- local HTML_DOCS=( doc/html/. )
- fi
- distutils-r1_python_install_all
-}